%define debug_package %{nil}

Summary:	DropboxReader

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		DropboxReader
Version:	1.0
Release:	1%{?dist}

License:	GPL

Group:		Applications/Forensics Tools
Source:		%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-patch-001

BuildRoot:	%{_tmppath}/rpm-root-%{name}-%{version}
Requires:	%{__python}
BuildArch:	noarch

%description
Dropbox Reader is a suite of command-line tools for parsing configuration and cache files associated with the Dropbox cloud storage software. 

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build

%install
%__install -d %{buildroot}/%{_bindir}
for tool in dropbox_contains_file.py hash_blocks.py read_config.py read_filecache_config.py read_filejournal.py read_sigstore.py
do
	(echo "#!%{__python}"; cat $tool) > %{buildroot}%{_bindir}/dropbox_`basename $tool .py`
done
mv %{buildroot}%{_bindir}/dropbox_dropbox_contains_file %{buildroot}%{_bindir}/dropbox_contains_file

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, bin, bin, 0755)
%doc README.txt
%attr(555, bin, bin)	%{_bindir}/*

%changelog
